Skip to main content
`Ctrl`+`K`

# VecCheckAssembled

checks if values have been changed in the vector, by `VecSetValues()` or related routines, but it has not been assembled

## Synopsis

    #include <petscvec.h>
    VecCheckAssembled(Vec v);

Not Collective

## Input Parameter

- v - the vector to check

## Note

After calls to `VecSetValues()` and related routines one must call `VecAssemblyBegin()` and `VecAssemblyEnd()` before using the vector

## See Also

Vectors and Parallel Data, `Vec`, `VecSetValues()`, `VecAssemblyBegin()`, `VecAssemblyEnd()`, `MatAssemblyBegin()`, `MatAssemblyEnd()`

## Level

developer

## Location

include/petscvec.h

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages